﻿@model WikiModel.Model.Document

@{
    ViewBag.Title = @Caption.Details;
    Layout = "~/Views/Shared/_DocLayout.cshtml";
}

<h2>@Caption.Details @Caption.Documents</h2>

<div>
    <h4>@Caption.Documents</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Group.GroupName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Group.GroupName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.signatory.Fname)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.signatory.Fname)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.User.Fname)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.User.Fname)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Title)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Title)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.KeyWord)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.KeyWord)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Context)
        </dt>

        <dd>
            @Html.Raw(HttpUtility.HtmlDecode(@Html.DisplayFor(model => model.Context).ToString()))
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Date_Doc)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Date_Doc)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Date_Register)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Date_Register)
        </dd>

    </dl>
</div>
<p>
@Html.ActionLink(@Caption.Edit, "Edit", new { id = Model.ID }) |
@Html.ActionLink(@Caption.BacktoList, "Index", "Documents", new { @class = "btn btn-danger col-md-1" })
</p>
